Make Qt Jambi compile with Qt 4.5.3
authorEskil Abrahamsen Blomfeldt <eskil.abrahamsen-blomfeldt@nokia.com>
Wed, 23 Sep 2009 14:59:52 +0000 (16:59 +0200)
committerEskil Abrahamsen Blomfeldt <eskil.abrahamsen-blomfeldt@nokia.com>
Wed, 23 Sep 2009 14:59:52 +0000 (16:59 +0200)
commitff454a14f375b66a0a9b2da5c2abd694686a1d0d
treebf7cb04c70e61c81d42c682c64243b368d3ec1ad
parent23843a0ad24f78a6e5d249bf2268e743cbecb462
Make Qt Jambi compile with Qt 4.5.3

Because of a bug in Qt 4.4, the directory structure of the include
directory for Phonon had to be changed to support the documented
way of including Phonon (which is also the way used if you build
against an external Phonon package.) In order to build Qt Jambi
with Qt 4.5.3, you therefore have to either

1. Use this patch which includes the phonon directory in the includepath
   and includes the correct master header.
2. Add $QTDIR/include/phonon and $QTDIR/include/phonon_compat to your
   INCLUDEPATH environment variable. This will still work when using
   older versions of Qt Jambi with newer versions of Qt.
generator/main.h
generator/qtjambi_masterinclude.h